Lingxing
切换旧版

查询FULL库存

POST/basicOpen/multiplatform/full/stockSearch

支持多平台-平台仓-查询FULL库存

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/multiplatform/full/stockSearchHTTPSPOST1

请求参数

lengthinteger
每页条数,必填,最大200条
offsetinteger
分页偏移量,必填,从0开始
selectTypeEnumstring
数据维度,COUNT_TYPE-数量 PRICE_TYPE-成本(必填)
customobject
自定义搜索参数
隐藏子属性
likeContentstring
搜索内容
typeinteger
搜索类型,枚举值:0-货品标题, 1-商品参考编码, 2-货品id
hideZeroStorageinteger
是否隐藏0库存,0不隐藏,1隐藏
storeIdListarray<any>
店铺ID列表

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/full/stockSearch?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "length": 20,
    "offset": 0,
    "selectTypeEnum": "COUNT_TYPE",
    "custom": "value",
    "custom>>likeContent": "手机壳",
    "custom>>type": 0,
    "hideZeroStorage": 0,
    "storeIdList": [123456,789012]
}'

返回结果

Json Object

codeinteger必填
响应码
dataobject必填
返回数据
隐藏子属性
pageobject
分页信息
隐藏子属性
recordsarray<object>
库存记录列表
隐藏子属性
availableQuantitystring
FBM可售库存
示例 150
damagedstring
损坏
示例 3
deleteFlagboolean
是否删除,枚举值:false-否, true-是
gmtCreateinteger
数据创建时间(时间戳)
示例 1702886098000
gmtModifiedinteger
数据更新时间(时间戳)
示例 1702886098000
idstring
ID
示例 1001
internalProcessstring
入库质检
示例 5
inventoryIdstring
ML code(库存编码)
示例 ML-12345
itemIdstring
商品ID
示例 12345
loststring
丢失
示例 1
noFiscalCoveragestring
无税务信息
示例 5
notSupportedstring
无法入库
示例 2
picUrlstring
商品图片URL
示例 https://example.com/image.jpg
productNamestring
品名
示例 iPhone 15 Pro
purchasePricestring
采购成本
示例 199.99
quantitystring
总库存
示例 200
skustring
SKU
示例 SKU-123456
storeIdinteger
店铺ID
示例 789012
transferstring
调仓中
示例 10
variationIdstring
变体ID
示例 67890
warehouseNamestring
仓库名称
示例 深圳仓
withdrawalstring
移除中
示例 8
totalstring
总数
syncTimestring
最新同步时间
示例 2025-12-18 10:34:58
error_detailsarray<any>必填
错误详情
messagestring必填
提示信息
request_idstring必填
请求id
response_timestring必填
响应时间
totalinteger必填
总记录数

返回成功示例

{
  "code": 0,
  "message": "success",
  "error_details": [],
  "request_id": "a0d54debf93140f3b58d1ed81e8e3583.178.17255922733991817",
  "response_time": "2024-11-12 16:00:00",
  "data": {
    "page": {
      "records": [
        {
          "availableQuantity": "150",
          "damaged": "3",
          "deleteFlag": false,
          "gmtCreate": 1702886098000,
          "gmtModified": 1702886098000,
          "id": "1001",
          "internalProcess": "5",
          "inventoryId": "ML-12345",
          "itemId": "12345",
          "lost": "1",
          "noFiscalCoverage": "5",
          "notSupported": "2",
          "picUrl": "https://example.com/image.jpg",
          "productName": "iPhone 15 Pro",
          "purchasePrice": "199.99",
          "quantity": "200",
          "sku": "SKU-123456",
          "storeId": 789012,
          "transfer": "10",
          "variationId": "67890",
          "warehouseName": "深圳仓",
          "withdrawal": "8"
        },
        {
          "availableQuantity": "80",
          "damaged": "0",
          "deleteFlag": false,
          "gmtCreate": 1702886100000,
          "gmtModified": 1702886100000,
          "id": "1002",
          "internalProcess": "2",
          "inventoryId": "ML-67890",
          "itemId": "54321",
          "lost": "0",
          "noFiscalCoverage": "0",
          "notSupported": "0",
          "picUrl": "https://example.com/another-image.png",
          "productName": "Samsung Galaxy S24",
          "purchasePrice": "150.00",
          "quantity": "90",
          "sku": "SKU-987654",
          "storeId": 789012,
          "transfer": "5",
          "variationId": "12345",
          "warehouseName": "上海仓",
          "withdrawal": "3"
        }
      ],
      "total": "100"
    },
    "syncTime": "2025-12-18 10:34:58"
  },
  "total": 1
}